Kling Video Create Voice
Unganisha
kling-video/create-voice
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kling-video/create-voice?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"voice_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/kling-video/create-voice?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"voice_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"voice_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/kling-video/create-voice", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/sw/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "kling-video/create-voice",
"input": {
"voice_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
}
}
Piga modeli ya Kling Video Create Voice (kling-video/create-voice) kupitia Doitong API. Nyaraka za mawakala: https://doitong.com/sw/developers/models/kling-video/create-voice.md
POST https://api.doitong.ru/v1/run/kling-video/create-voice?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"voice_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
}
Ikiwa hali ya jibu ni "queued" au "running", piga GET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20 mara kwa mara hadi iwe "succeeded"; faili ziko kwenye outputs[].url. POST https://api.doitong.ru/v1/quote/kling-video/create-voice yenye mwili uleule hurejesha bei kamili kabla ya kuendesha.
Ombi hili: $ 0.007 salio za API 7 · ≈ ₽ 0.73 Iendeshe kwenye ukurasa huu
Ufunguo wako mpya wa API. Inaonyeshwa sasa tu na tayari iko kwenye msimbo na katika sehemu ya ufunguo wa API hapa chini. Iweke siri: usiwahi kuiweka kwenye msimbo unaoendeshwa kwenye kivinjari.
Imetengenezwa kwenye Doitong
Kazi za umma zilizotengenezwa kwa Kling Video na jumuiya ya Doitong. Tumia tena kidokezo kwa kubofya mara moja.
Video
Оживи исходное изображение. Полностью сохрани внешность девушки, лицо, причёску, одежду, интерьер, цвета, композицию и русский текст. Девушка смотрит прямо на зрителя, естественно улыбается, моргает, слегка наклоняется вперёд и показывает пальцем на зрителя. Она естественно произносит по-русски:...
Video
Оживи исходное изображение, полностью сохрани внешность девушки и дизайн розового персонажа, их лица, цвета, интерьер, композицию и существующий русский текст. Розовый персонаж оживает, смотрит на зрителя, радостно улыбается, моргает, слегка подпрыгивает и машет рукой. Он произносит по-русски:...
Video
Make A warm, emotional 25 second video cinematic scene of a 4 years of boy with dark brown hair and big eyes having a difficult moment—crying, reaching toward their mother, and showing frustration. The mother initially looks concerned,she listens him then gently kneels down, makes eye contact,...
Video
Ты эксперт в медиа продвижении в социальных сетях --- Название рилс: "Ошибка №1 После Развода: Почему ты тормозишь себя?" Хук (Первые 3-5 секунд): * Визуал: Крупный план вашего лица, выражающего легкое недоумение или задумчивость. Затем резкий переход к черно-белой картинке или затемнению. *...
Video
🎬 Фильм «Мамы больше нет» Общий стиль для всех сцен: Фотореалистичный современный российский художественный фильм. Настоящие люди, реальные человеческие лица, натуральная кожа, естественная мимика и движения. Реальная квартира, естественный дневной и вечерний свет, кинематографическая камера,...
Video
Use the uploaded image as the exact identity and appearance reference. Create a short hyperrealistic video where the woman keeps exactly the same face, identity, facial features, proportions, skin tone, hairstyle, bouquet, white shirt, pink balloons, candles “24”, and background. The motion must...
Video
Медленное плавное приближение камеры к гигантскому флакону духов в миниатюрном ночном городе. Две маленькие машины спокойно проезжают по дороге перед основанием флакона. Вдали едва заметно движется лёгкая дымка. Огни города мягко отражаются на мокром асфальте. Флакон стоит неподвижно. Его форма,...
Video
Девушка всилит дома смотрит интернете ищет салон красоты ,находит салон,приходит в салон наш с кудрявыми волосами ,другой мастер кератиновое выпрямление волос ,и она смотрит на свои волосы в зеркало и очень счастлива и благодарит мастера Анастасию Render entirely in "Claymation" style — match its...
Video
Animate this baby very gently and naturally. She is lying on her tummy and happily playing with the colorful toy in front of her. She smiles warmly, softly blinks, makes tiny hand and finger movements toward the toy, slightly wiggles her body, and shows subtle natural breathing. The toy can move...
Video
The toddler slowly lowers his raised hand and gently pats his own bottom, then continues rhythmically patting his bottom many times, slowly and softly, his palm touches only his own body, his hand stays close to his body, like a mother soothing a baby, in a sweet cute baby voice he quietly coos...
Video
Дверь кофейни резко открывается. Внутрь заходит эффектная рыжеволосая девушка в чёрной кожаной куртке, шлем под мышкой. На улице у входа виден её мощный мотоцикл. Она уверенно подходит к стойке. Бариста — симпатичный парень-ботан в очках, с растрёпанными волосами, — поднимает глаза от кофемашины....
Video
A cinematic 3D Pixar-style animation. The same young firefighter gently polishes his silver helmet marked with the number 5. He blinks naturally, smiles slightly, and turns his eyes toward the flashing red alarm light. Red emergency lights pulse and reflect on his helmet and face. Subtle hand...
Video
Cinematic 3D Pixar-style animation. The same young firefighter from the previous shot suddenly hears the emergency alarm. His expression changes from calm to determined. He quickly turns his head toward the flashing red alarm light, grabs his silver firefighter helmet marked with the number 5,...
Video
Ultra-realistic 4K ASMR video, vertical 9:16. A whole fresh brown coconut with a realistic hairy shell sits on a beautiful dark wooden cutting board. Cinematic macro close-up, soft studio lighting, luxurious satisfying aesthetic. A hand slowly approaches holding a sharp stainless steel knife. The...
Video
VISUAL CORRECTION. This replaces the previous request entirely. Subject: a compact studio room A reference supplies identity ONLY. Keep the recognizable subject and visual style, but implement the requested changes to size, parts, pose, setting and composition. The actual result MUST visibly...
Video
VISUAL CORRECTION. This replaces the previous request entirely. Subject: why leaves have veins A reference supplies identity ONLY. Keep the recognizable subject and visual style, but implement the requested changes to size, parts, pose, setting and composition. The actual result MUST visibly...
Unda ombi
Vidhibiti vinazalishwa kutoka kwenye schema ya modeli. Msimbo na bei husasishwa unapovibadilisha.
/run/kling-video/create-voice?wait=20
makadirio → $ 0.007
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kling-video/create-voice?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"voice_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/kling-video/create-voice?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"voice_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"voice_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/kling-video/create-voice", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "kling-video/create-voice",
"input": {
"voice_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
},
"wait_seconds": 20
}
}
}
Endesha ombi hili
Key yako inabaki kwenye kivinjari hiki: inatumwa kwa Doitong API pekee na kuhifadhiwa (localStorage) tu ukiweka tiki kwenye Kumbuka. Pata ufunguo wa API
Kuhusu Kling Video Create Voice
Huunda sauti inayoweza kutumiwa tena kwa udhibiti wa sauti wa miundo ya Kling. Weka `voice_url` inayoelekeza kwenye sauti ya .mp3/.wav au video ya .mp4/.mov yenye urefu wa sekunde 5-30 na usemi safi wa sauti moja. Matokeo ni mfuatano wa `voice_id` unaotambulisha sauti mpya.
Vigezo
enable_safety_checkersi lazima
voice_urlinahitajika
Vigezo vya faili vinakubali URL ya umma ya https://, data: URI ya hadi 10 MB, au file_url ya upakiaji. Faili
Tokeo
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "kling-video/create-voice",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 7,
"usd": "0.007",
"charged": 7,
"refunded": 0
},
"input": {
"voice_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
},
"output": {
"voice_id": "829877809978941442"
},
"outputs": [
{
"type": "file",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Sehemu za tokeo
- voice_id
- stringKitambulisho cha kipekee kilichotolewa kwa sauti iliyoundwa hivi karibuni.
Tofauti nyingine za Kling Video
Miundo zaidi: Sauti
Kwa mawakala wa AI: ukurasa huu katika Markdown unapatikana kwenye https://doitong.com/sw/developers/models/kling-video/create-voice.md. Modeli na miongozo yote: https://doitong.com/developers/llms.txt